'use strict';

class Person {
  constructor(name, yearOfBirth) {
    this.name = name;
    this.yearOfBirth = yearOfBirth;
    this.gamesCount = 0;
  }
  
  get age() {
    return new Date().getYear() + 1900 - this.yearOfBirth;
  }
  
  get gamesPlayed() {
    return this.gamesCount;
  }                        
  
  set gamesPlayed(value) {
    if(value <= this.gamesCount) {
      throw new Error("Value is less than current value, we will come burn your village");
    } 
    
    this.gamesCount = value;
  }
}

const sam = new Person('Sam', 2016);

console.log(sam.gamesPlayed);

sam.gamesPlayed = 1;

console.log(sam.gamesPlayed);

try {
  sam.gamesPlayed = -2;
} catch(ex) {
  console.log(ex.message);
}